summaryrefslogtreecommitdiffstats
path: root/composer.json
diff options
context:
space:
mode:
Diffstat (limited to 'composer.json')
-rw-r--r--composer.json12
1 files changed, 7 insertions, 5 deletions
diff --git a/composer.json b/composer.json
index eef7e68..a3fa781 100644
--- a/composer.json
+++ b/composer.json
@@ -29,19 +29,21 @@
"composer/semver": "^1.4|^2.0|^3.0",
"composer/xdebug-handler": "^1.3.2|^2.0.0",
"felixfbecker/advanced-json-rpc": "^3.0.4",
- "microsoft/tolerant-php-parser": "0.0.23",
- "netresearch/jsonmapper": "^1.6.0|^2.0|^3.0",
+ "microsoft/tolerant-php-parser": "^0.1.0",
+ "netresearch/jsonmapper": "^1.6.0|^2.0|^3.0|^4.0",
"sabre/event": "^5.0.3",
"symfony/console": "^3.2|^4.0|^5.0",
"symfony/polyfill-mbstring": "^1.11.0",
- "symfony/polyfill-php80": "^1.20.0"
+ "symfony/polyfill-php80": "^1.20.0",
+ "tysonandre/var_representation_polyfill": "^0.0.2|^0.1.0"
},
"suggest": {
- "ext-ast": "Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed, 1.0.10+ is recommended.",
+ "ext-ast": "Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed, 1.0.14+ is recommended.",
"ext-iconv": "Either iconv or mbstring is needed to ensure issue messages are valid utf-8",
"ext-igbinary": "Improves performance of polyfill when ext-ast is unavailable",
"ext-mbstring": "Either iconv or mbstring is needed to ensure issue messages are valid utf-8",
- "ext-tokenizer": "Needed for fallback/polyfill parser support and file/line-based suppressions."
+ "ext-tokenizer": "Needed for fallback/polyfill parser support and file/line-based suppressions.",
+ "ext-var_representation": "Suggested for converting values to strings in issue messages"
},
"require-dev": {
"phpunit/phpunit": "^8.5.0"